Package org.eclipse.mat.query.registry

# Interface ArgumentFactory

All Known Implementing Classes:
  `HeapObjectArgumentFactory`, `HeapObjectContextArgument`, `HeapObjectParamArgument`, `SnapshotArgument`

public interface ArgumentFactory

## Method Summary

Modifier and Type
Method
Description
`void`
`appendUsage(StringBuilder buf)`
`Object`
`build(ArgumentDescriptor descriptor)`

## Method Details

### build

Object build(ArgumentDescriptor descriptor) throws SnapshotException

Throws:
  `SnapshotException`

### appendUsage

void appendUsage(StringBuilder buf)